Subject: Re: [PATCH] RelNotes: fix a couple of typos for the upcoming release

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Nov 2021 12:07:31 -0800

Elijah Newren <[email-masked]> writes:

>> + * "git pull --ff-only" and "git pull --rebase --ff-only" should make
>> +   it a no-op to attempt pulling from a remote that is behind us, but
>> +   instead the command errored out by saying it was impossible to
>> +   fast-forward, which may technically be true, but not a useful thing
>> +   to diagnose as an error.  This has been corrected.
>> +   (merge 361cb52383 jc/fix-pull-ff-only-when-already-up-to-date later to maint).
>
> Is this worth calling out in the release notes?  I thought the
> discussion elsewhere on this list pointed out that this bug did not
> exist in v2.33 or before after all, but rather that it was a
> regression that was new to the v2.34 development cycle.

The fix itself (i.e. "git pull --ff-only --rebase" when faced with
new development on the other side) has already been described in an
earlier entry (the third one in "Fixes since v2.33" section) and is
in both 2.33.1 and 2.34.0-rc2.  The above entry is about what "git
pull -ff-only -rebase" does when the other side lags behind us,
which should be and used to be a no-op "already up-to-date" but the
earlier fix broke it.  It should be in 2.34 final, and if we were to
issue 2.33.2 later, it should go there, too.